Index: src/Actions/SelectionAction/Atoms/AllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/AllAtomsAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,13 +53,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionAllAtomsAction::performCall() {
+ActionState::ptr SelectionAllAtomsAction::performCall() {
   std::vector<atom *> selectedAtoms = World::getInstance().getSelectedAtoms();
   LOG(1, "Selecting all atoms.");
   World::getInstance().selectAllAtoms(AllAtoms());
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
-  return Action::state_ptr(new SelectionAllAtomsState(selectedAtoms,params));
+  return ActionState::ptr(new SelectionAllAtomsState(selectedAtoms,params));
 }
 
-Action::state_ptr SelectionAllAtomsAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionAllAtomsAction::performUndo(ActionState::ptr _state) {
   SelectionAllAtomsState *state = assert_cast<SelectionAllAtomsState*>(_state.get());
 
@@ -69,13 +69,13 @@
     World::getInstance().selectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionAllAtomsAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionAllAtomsAction::performRedo(ActionState::ptr _state){
   //SelectionAllAtomsState *state = assert_cast<SelectionAllAtomsState*>(_state.get());
 
   World::getInstance().selectAllAtoms(AllAtoms());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -57,5 +57,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionAllAtomsInsideVolumeAction::performCall() {
+ActionState::ptr SelectionAllAtomsInsideVolumeAction::performCall() {
   LOG(1, "Selecting all atoms inside a volume.");
   std::vector<Shape*> selectedShapes = ShapeRegistry::getInstance().getSelectedShapes();
@@ -67,8 +67,8 @@
   World::getInstance().selectAllAtoms(AtomsByShape(*selectedShapes[0]));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
-  return Action::state_ptr(new SelectionAllAtomsInsideVolumeState(selectedAtoms, params));
+  return ActionState::ptr(new SelectionAllAtomsInsideVolumeState(selectedAtoms, params));
 }
 
-Action::state_ptr SelectionAllAtomsInsideVolumeAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionAllAtomsInsideVolumeAction::performUndo(ActionState::ptr _state) {
   SelectionAllAtomsInsideVolumeState *state = assert_cast<SelectionAllAtomsInsideVolumeState*>(_state.get());
 
@@ -80,8 +80,8 @@
     World::getInstance().selectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionAllAtomsInsideVolumeAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionAllAtomsInsideVolumeAction::performRedo(ActionState::ptr _state){
   //SelectionAllAtomsInsideVolumeState *state = assert_cast<SelectionAllAtomsInsideVolumeState*>(_state.get());
 
@@ -91,5 +91,5 @@
   World::getInstance().selectAllAtoms(AtomsByShape(*selectedShapes[0]));
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -55,13 +55,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionAllAtomsOfMoleculeAction::performCall() {
+ActionState::ptr SelectionAllAtomsOfMoleculeAction::performCall() {
   LOG(1, "Selecting all atoms of currently selected molecule.");
   std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection());
   World::getInstance().selectAllAtoms(AtomsByMoleculeSelection());
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
-  return Action::state_ptr(new SelectionAllAtomsOfMoleculeState(selectedAtoms, params));
+  return ActionState::ptr(new SelectionAllAtomsOfMoleculeState(selectedAtoms, params));
 }
 
-Action::state_ptr SelectionAllAtomsOfMoleculeAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionAllAtomsOfMoleculeAction::performUndo(ActionState::ptr _state) {
   SelectionAllAtomsOfMoleculeState *state = assert_cast<SelectionAllAtomsOfMoleculeState*>(_state.get());
 
@@ -70,13 +70,13 @@
     World::getInstance().selectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionAllAtomsOfMoleculeAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionAllAtomsOfMoleculeAction::performRedo(ActionState::ptr _state){
   //SelectionAllAtomsOfMoleculeState *state = assert_cast<SelectionAllAtomsOfMoleculeState*>(_state.get());
 
   World::getInstance().selectAllAtoms(AtomsByMoleculeSelection());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -55,13 +55,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionAtomByElementAction::performCall() {
+ActionState::ptr SelectionAtomByElementAction::performCall() {
   LOG(1, "Selecting atoms of type " << *params.elemental.get());
   std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection());
   World::getInstance().selectAllAtoms(AtomByType(params.elemental.get()));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
-  return Action::state_ptr(new SelectionAtomByElementState(selectedAtoms,params));
+  return ActionState::ptr(new SelectionAtomByElementState(selectedAtoms,params));
 }
 
-Action::state_ptr SelectionAtomByElementAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionAtomByElementAction::performUndo(ActionState::ptr _state) {
   SelectionAtomByElementState *state = assert_cast<SelectionAtomByElementState*>(_state.get());
 
@@ -70,13 +70,13 @@
     World::getInstance().selectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionAtomByElementAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionAtomByElementAction::performRedo(ActionState::ptr _state){
   SelectionAtomByElementState *state = assert_cast<SelectionAtomByElementState*>(_state.get());
 
   World::getInstance().selectAllAtoms(AtomByType(state->params.elemental.get()));
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/AtomByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByIdAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/AtomByIdAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -52,5 +52,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionAtomByIdAction::performCall()
+ActionState::ptr SelectionAtomByIdAction::performCall()
 {
   enum Sucess {
@@ -88,5 +88,5 @@
     case AllAtomsUnselected:
     case AtomsSelected:
-      return Action::state_ptr(new SelectionAtomByIdState(undoatomids, params));
+      return ActionState::ptr(new SelectionAtomByIdState(undoatomids, params));
       break;
     default:
@@ -97,5 +97,5 @@
 }
 
-Action::state_ptr SelectionAtomByIdAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionAtomByIdAction::performUndo(ActionState::ptr _state) {
   SelectionAtomByIdState *state = assert_cast<SelectionAtomByIdState*>(_state.get());
 
@@ -106,8 +106,8 @@
   }
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionAtomByIdAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionAtomByIdAction::performRedo(ActionState::ptr _state){
   SelectionAtomByIdState *state = assert_cast<SelectionAtomByIdState*>(_state.get());
 
@@ -118,5 +118,5 @@
   }
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/AtomByOrderAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByOrderAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/AtomByOrderAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,5 +53,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionAtomByOrderAction::performCall() {
+ActionState::ptr SelectionAtomByOrderAction::performCall() {
   const atom *Walker = World::getInstance().getAtom(AtomByOrder(params.order.get()));
   if (Walker != NULL) {
@@ -60,5 +60,5 @@
       World::getInstance().selectAtom(Walker);
       LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
-      return Action::state_ptr(new SelectionAtomByOrderState(Walker->getId(), params));
+      return ActionState::ptr(new SelectionAtomByOrderState(Walker->getId(), params));
     } else {
       return Action::success;
@@ -69,5 +69,5 @@
 }
 
-Action::state_ptr SelectionAtomByOrderAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionAtomByOrderAction::performUndo(ActionState::ptr _state) {
   SelectionAtomByOrderState *state = assert_cast<SelectionAtomByOrderState*>(_state.get());
 
@@ -75,8 +75,8 @@
   World::getInstance().unselectAtom(Walker);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionAtomByOrderAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionAtomByOrderAction::performRedo(ActionState::ptr _state){
   SelectionAtomByOrderState *state = assert_cast<SelectionAtomByOrderState*>(_state.get());
 
@@ -84,5 +84,5 @@
   World::getInstance().selectAtom(Walker);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/ClearAllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/ClearAllAtomsAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/ClearAllAtomsAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,12 +53,12 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionClearAllAtomsAction::performCall() {
+ActionState::ptr SelectionClearAllAtomsAction::performCall() {
   std::vector<atom *> selectedAtoms = World::getInstance().getSelectedAtoms();
   LOG(1, "Clearing atoms selection.");
   World::getInstance().clearAtomSelection();
-  return Action::state_ptr(new SelectionClearAllAtomsState(selectedAtoms, params));
+  return ActionState::ptr(new SelectionClearAllAtomsState(selectedAtoms, params));
 }
 
-Action::state_ptr SelectionClearAllAtomsAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionClearAllAtomsAction::performUndo(ActionState::ptr _state) {
   SelectionClearAllAtomsState *state = assert_cast<SelectionClearAllAtomsState*>(_state.get());
 
@@ -67,13 +67,13 @@
     World::getInstance().selectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionClearAllAtomsAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionClearAllAtomsAction::performRedo(ActionState::ptr _state){
   //SelectionClearAllAtomsState *state = assert_cast<SelectionClearAllAtomsState*>(_state.get());
 
   World::getInstance().clearAtomSelection();
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/InvertAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/InvertAtomsAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/InvertAtomsAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -54,5 +54,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionInvertAtomsAction::performCall() {
+ActionState::ptr SelectionInvertAtomsAction::performCall() {
   LOG(1, "Inverting atom selection.");
 
@@ -61,8 +61,8 @@
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
 
-  return Action::state_ptr(new SelectionInvertAtomsState(params));
+  return ActionState::ptr(new SelectionInvertAtomsState(params));
 }
 
-Action::state_ptr SelectionInvertAtomsAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionInvertAtomsAction::performUndo(ActionState::ptr _state) {
   //SelectionInvertAtomsState *state = assert_cast<SelectionInvertAtomsState*>(_state.get());
 
@@ -70,8 +70,8 @@
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionInvertAtomsAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionInvertAtomsAction::performRedo(ActionState::ptr _state){
   //SelectionInvertAtomsState *state = assert_cast<SelectionInvertAtomsState*>(_state.get());
 
@@ -79,5 +79,5 @@
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,13 +53,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotAllAtomsAction::performCall() {
+ActionState::ptr SelectionNotAllAtomsAction::performCall() {
   std::vector<atom *> selectedAtoms = World::getInstance().getSelectedAtoms();
   LOG(1, "Unselecting all atoms.");
   World::getInstance().clearAtomSelection();
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
-  return Action::state_ptr(new SelectionNotAllAtomsState(selectedAtoms, params));
+  return ActionState::ptr(new SelectionNotAllAtomsState(selectedAtoms, params));
 }
 
-Action::state_ptr SelectionNotAllAtomsAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotAllAtomsAction::performUndo(ActionState::ptr _state) {
   SelectionNotAllAtomsState *state = assert_cast<SelectionNotAllAtomsState*>(_state.get());
 
@@ -68,13 +68,13 @@
     World::getInstance().selectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotAllAtomsAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotAllAtomsAction::performRedo(ActionState::ptr _state){
   //SelectionNotAllAtomsState *state = assert_cast<SelectionNotAllAtomsState*>(_state.get());
 
   World::getInstance().clearAtomSelection();
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -56,5 +56,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotAllAtomsInsideVolumeAction::performCall() {
+ActionState::ptr SelectionNotAllAtomsInsideVolumeAction::performCall() {
   LOG(1, "Unselecting all atoms inside a volume.");
   std::vector<Shape*> selectedShapes = ShapeRegistry::getInstance().getSelectedShapes();
@@ -66,8 +66,8 @@
   World::getInstance().unselectAllAtoms(AtomsByShape(*selectedShapes[0]));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
-  return Action::state_ptr(new SelectionNotAllAtomsInsideVolumeState(unselectedAtoms, params));
+  return ActionState::ptr(new SelectionNotAllAtomsInsideVolumeState(unselectedAtoms, params));
 }
 
-Action::state_ptr SelectionNotAllAtomsInsideVolumeAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotAllAtomsInsideVolumeAction::performUndo(ActionState::ptr _state) {
   SelectionNotAllAtomsInsideVolumeState *state = assert_cast<SelectionNotAllAtomsInsideVolumeState*>(_state.get());
 
@@ -79,8 +79,8 @@
     World::getInstance().unselectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotAllAtomsInsideVolumeAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotAllAtomsInsideVolumeAction::performRedo(ActionState::ptr _state){
   //SelectionNotAllAtomsInsideVolumeState *state = assert_cast<SelectionNotAllAtomsInsideVolumeState*>(_state.get());
 
@@ -90,5 +90,5 @@
   World::getInstance().unselectAllAtoms(AtomsByShape(*selectedShapes[0]));
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -55,13 +55,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotAllAtomsOfMoleculeAction::performCall() {
+ActionState::ptr SelectionNotAllAtomsOfMoleculeAction::performCall() {
   LOG(1, "Unselecting all atoms of currently selected molecules.");
   std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms(!AtomsBySelection());
   World::getInstance().unselectAllAtoms(AtomsByMoleculeSelection());
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
-  return Action::state_ptr(new SelectionNotAllAtomsOfMoleculeState(unselectedAtoms, params));
+  return ActionState::ptr(new SelectionNotAllAtomsOfMoleculeState(unselectedAtoms, params));
 }
 
-Action::state_ptr SelectionNotAllAtomsOfMoleculeAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotAllAtomsOfMoleculeAction::performUndo(ActionState::ptr _state) {
   SelectionNotAllAtomsOfMoleculeState *state = assert_cast<SelectionNotAllAtomsOfMoleculeState*>(_state.get());
 
@@ -70,13 +70,13 @@
     World::getInstance().unselectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotAllAtomsOfMoleculeAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotAllAtomsOfMoleculeAction::performRedo(ActionState::ptr _state){
   //SelectionNotAllAtomsOfMoleculeState *state = assert_cast<SelectionNotAllAtomsOfMoleculeState*>(_state.get());
 
   World::getInstance().unselectAllAtoms(AtomsByMoleculeSelection());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -55,13 +55,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotAtomByElementAction::performCall() {
+ActionState::ptr SelectionNotAtomByElementAction::performCall() {
   LOG(1, "Unselecting atoms of type " << *params.elemental.get());
   std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms(!AtomsBySelection());
   World::getInstance().unselectAllAtoms(AtomByType(params.elemental.get()));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
-  return Action::state_ptr(new SelectionNotAtomByElementState(unselectedAtoms,params));
+  return ActionState::ptr(new SelectionNotAtomByElementState(unselectedAtoms,params));
 }
 
-Action::state_ptr SelectionNotAtomByElementAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotAtomByElementAction::performUndo(ActionState::ptr _state) {
   SelectionNotAtomByElementState *state = assert_cast<SelectionNotAtomByElementState*>(_state.get());
 
@@ -70,13 +70,13 @@
     World::getInstance().unselectAtom(_atom);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotAtomByElementAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotAtomByElementAction::performRedo(ActionState::ptr _state){
   SelectionNotAtomByElementState *state = assert_cast<SelectionNotAtomByElementState*>(_state.get());
 
   World::getInstance().unselectAllAtoms(AtomByType(state->params.elemental.get()));
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/NotAtomByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByIdAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/NotAtomByIdAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -52,5 +52,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotAtomByIdAction::performCall()
+ActionState::ptr SelectionNotAtomByIdAction::performCall()
 {
   enum Sucess {
@@ -88,5 +88,5 @@
     case AllAtomsSelected:
     case AtomsUnselected:
-      return Action::state_ptr(new SelectionNotAtomByIdState(undoatomids, params));
+      return ActionState::ptr(new SelectionNotAtomByIdState(undoatomids, params));
       break;
     default:
@@ -97,5 +97,5 @@
 }
 
-Action::state_ptr SelectionNotAtomByIdAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotAtomByIdAction::performUndo(ActionState::ptr _state) {
   SelectionNotAtomByIdState *state = assert_cast<SelectionNotAtomByIdState*>(_state.get());
 
@@ -106,8 +106,8 @@
   }
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotAtomByIdAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotAtomByIdAction::performRedo(ActionState::ptr _state){
   SelectionNotAtomByIdState *state = assert_cast<SelectionNotAtomByIdState*>(_state.get());
 
@@ -118,5 +118,5 @@
   }
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Atoms/NotAtomByOrderAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByOrderAction.cpp	(revision 5aaa431c127bd1ea184be89ef28adcd229f6d96c)
+++ src/Actions/SelectionAction/Atoms/NotAtomByOrderAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,5 +53,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotAtomByOrderAction::performCall() {
+ActionState::ptr SelectionNotAtomByOrderAction::performCall() {
   const atom * Walker = World::getInstance().getAtom(AtomByOrder(params.order.get()));
   if (Walker != NULL) {
@@ -60,5 +60,5 @@
       World::getInstance().unselectAtom(Walker);
       LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
-      return Action::state_ptr(new SelectionNotAtomByOrderState(Walker->getId(), params));
+      return ActionState::ptr(new SelectionNotAtomByOrderState(Walker->getId(), params));
     } else {
       return Action::success;
@@ -69,5 +69,5 @@
 }
 
-Action::state_ptr SelectionNotAtomByOrderAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotAtomByOrderAction::performUndo(ActionState::ptr _state) {
   SelectionNotAtomByOrderState *state = assert_cast<SelectionNotAtomByOrderState*>(_state.get());
 
@@ -75,8 +75,8 @@
   World::getInstance().selectAtom(Walker);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotAtomByOrderAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotAtomByOrderAction::performRedo(ActionState::ptr _state){
   SelectionNotAtomByOrderState *state = assert_cast<SelectionNotAtomByOrderState*>(_state.get());
 
@@ -84,5 +84,5 @@
   World::getInstance().unselectAtom(Walker);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
